Package wx :: Class MDIChildFrame

[frames | no frames]

## Type MDIChildFrame

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                         Frame --+
                                 |
                                MDIChildFrame

Known Subclasses:
  `DocMDIChildFrame`, `DocMDIChildFrame`

Proxy of C++ MDIChildFrame class

Method Summary
MDIChildFrame | `__init__(self, parent, id, title, pos, size, style, name)`
| `Activate(self)`
bool | ``Create`(self, parent, id, pos, size, style, name)` Create the GUI part of the Window for 2-phase creation mode.

Property Summary
| `thisown`: The membership flag

Instance Method Details

### Create(self, parent, id=-1, title=EmptyString, pos=DefaultPosition, size=DefaultSize, style=DEFAULT_FRAME_STYLE, name=FrameNameStr)

Create the GUI part of the Window for 2-phase creation mode.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Frame.Create` (inherited documentation)

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:35 2007 | http://epydoc.sf.net